﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ProhlizecObrazku
{
    public partial class AnnotatedPictureBox : PictureBox
    {
        private string imagePath;
        private DateTime creationTime;
        private float fileSize;

        public string ImagePath
        {
            get
            {
                return imagePath;
            }
        }

        [Browsable(true)]
        [Category("Informace o obrázku")]
        [Description("Jméno souboru s obrázkem.")]
        public string Jméno_souboru
        {
            get
            {
                return Path.GetFileName(imagePath);
            }
        }

        [Browsable(true)]
        [Category("Informace o obrázku")]
        [Description("Velikost souboru v MB.")]
        public float Velikost_souboru
        {
            get
            {
                return fileSize;
            }
        }

        [Browsable(true)]
        [Category("Informace o obrázku")]
        [Description("Datum a čas vytvoření souboru s obrázkem.")]
        public DateTime Čas_vytvoření
        {
            get
            {
                return creationTime;
            }
        }

        [Browsable(true)]
        [Category("Informace o obrázku")]
        [Description("Šířka obrázku v pixelech.")]
        public int Šířka
        {
            get
            {
                return this.Width;
            }
        }

        [Browsable(true)]
        [Category("Informace o obrázku")]
        [Description("Výška obrázku v pixelech.")]
        public int Výška
        {
            get
            {
                return this.Height;
            }
        }

        public AnnotatedPictureBox(string imagePath)
        {
            InitializeComponent();

            this.imagePath = imagePath;
            this.creationTime = File.GetCreationTime(imagePath);
            this.fileSize = (float) File.OpenRead(imagePath).Length / 1024.0f / 1024.0f;
        }
    }
}
